commit: 18c8b7cf907cf5fb555cfa3126387b687277e6f7
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 27 03:33:46 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jan 27 03:33:46 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18c8b7cf
dev-libs/cvector: port to EAPI 7
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/cvector/cvector-1.0.3.1.ebuild | 24 ++++++++++------------
dev-libs/cvector/files/1.0.3-dynlib.patch | 2 --
.../cvector/files/cvector-1.0.3.1-LDFLAGS.patch | 4 ++--
3 files changed, 13 insertions(+), 17 deletions(-)
diff --git a/dev-libs/cvector/cvector-1.0.3.1.ebuild
b/dev-libs/cvector/cvector-1.0.3.1.ebuild
index 83e0ee6f0d4..4b7b0bc8f3a 100644
--- a/dev-libs/cvector/cvector-1.0.3.1.ebuild
+++ b/dev-libs/cvector/cvector-1.0.3.1.ebuild
@@ -1,42 +1,40 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
-inherit base eutils toolchain-funcs versionator
+inherit toolchain-funcs
MY_PN=CVector
MY_P="${MY_PN}-${PV}"
DESCRIPTION="An ANSI C implementation of dynamic arrays (approximation of C++
vectors)"
HOMEPAGE="http://cvector.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${PN}/${MY_PN}-$(get_version_component_range
1-3)/${MY_P}.tar.gz"
+SRC_URI="mirror://sourceforge/${PN}/${PN}/${MY_PN}-$(ver_cut
1-3)/${MY_P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux"
-IUSE=""
-
-S="${WORKDIR}"/${MY_P}
PATCHES=(
"${FILESDIR}"/${P}-LDFLAGS.patch
"${FILESDIR}"/1.0.3-dynlib.patch
- )
+)
src_compile() {
emake \
- CC=$(tc-getCC) \
- CXX=$(tc-getCXX) \
+ CC="$(tc-getCC)" \
+ CXX="$(tc-getCXX)" \
CFLAGS="${CFLAGS}" \
all
}
src_install() {
- ln -sf libCVector.so.$(get_version_component_range 1-3)
libCVector.so.$(get_major_version) || die
- ln -sf libCVector.so.$(get_version_component_range 1-3) libCVector.so
|| die
- dolib.so libCVector.so*
+ ln -sf libCVector.so.$(ver_cut 1-3) libCVector.so.$(ver_cut 1) || die
+ ln -sf libCVector.so.$(ver_cut 1-3) libCVector.so || die
+ dolib.so libCVector.so*
doheader *.h
dodoc README_CVector.txt
diff --git a/dev-libs/cvector/files/1.0.3-dynlib.patch
b/dev-libs/cvector/files/1.0.3-dynlib.patch
index 219f258136e..072453e3067 100644
--- a/dev-libs/cvector/files/1.0.3-dynlib.patch
+++ b/dev-libs/cvector/files/1.0.3-dynlib.patch
@@ -1,5 +1,3 @@
-diff --git a/Makefile b/Makefile
-index 865db81..2691108 100644
--- a/Makefile
+++ b/Makefile
@@ -96,8 +96,8 @@ BUILD_COMMAND_STATIC = $(LIBTOOL) --mode=link $(CC)
$(CFLAGS) -static -I $(IN
diff --git a/dev-libs/cvector/files/cvector-1.0.3.1-LDFLAGS.patch
b/dev-libs/cvector/files/cvector-1.0.3.1-LDFLAGS.patch
index 8bed3ab0154..3bbc65f4078 100644
--- a/dev-libs/cvector/files/cvector-1.0.3.1-LDFLAGS.patch
+++ b/dev-libs/cvector/files/cvector-1.0.3.1-LDFLAGS.patch
@@ -1,5 +1,5 @@
---- Makefile 2009-07-08 04:02:56.000000000 +0200
-+++ Makefile.new 2009-07-25 11:59:27.000000000 +0200
+--- a/Makefile
++++ b/Makefile
@@ -89,10 +89,10 @@
endif